MKDOSFS(8)

NAZWA
mkdosfs - pod kontrolą Linuksa twórz system plików FAT

SKŁADNIA
mkdosfs [-c|-l filename] [-f number-of-FATs] [-F FAT-size] [-i volume-id] [-m message-file] [-n volume-name] [-r root-dir-entries] [-s sectors-per-cluster] [-v] device [block-count]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

mkdosfs służy do tworzenia, pod kontrolą Linuksa, systemu plików MS-DOS na zadanym urządzeniu (zwykle partycji dysku). By utworzyć partycję FAT32, posłuż się opcją -F 32.

device jest plikiem specjalnym odpowiadającym danemu urządzeniu (np. /dev/hdXX).

block-count jest liczbą bloków urządzenia. Jeśli pominięto, to mkdosfs automatycznie określa rozmiar systemu plików.

OPCJE

-c  Sprawdź obecność błędnych bloków na urządzeniu przed tworzeniem systemu plików.

-f number-of-FATs
    Określ liczbę tablic alokacji plików (FAT) w systemie plików. Domyślnie 2. Obecnie linuksowy system plików MS-DOS nie obsługuje więcej niż dwu tablic FAT.

-F FAT-size
    Określa typ używanej tablicy alokacji plików (12-, 16-, lub 32-bitowa). Opcja wymagana do utworzenia partycji FAT32. W przeciwnym razie, nie jest zwykle przydatna, gdyż mkdosfs automatycznie wybiera zalecany rozmiar FAT dla danego systemu plików.

-i volume-id
    Ustawia identyfikator wolumenu nowo utworzonego systemu plików; volume-id jest 32-bitową liczbą szesnastkową (na przykład, 2e24ec82). Domyślnie jest to liczba zależna od czasu utworzenia systemu plików.

-l filename
    Odczytaj listę błędnych bloków z pliku o nazwie filename.

-m message-file
    Ustawia komunikat, jaki otrzymuje użytkownik podczas próby startu (boot) tego systemu plików bez poprawnie zainstalowanego systemu operacyjnego. Komunikat nie może przekraczać 418 bajtów po konwersji znaków końca linii na kombinacje powrót karetki-koniec linii i rozwinięciu znaków tabulacji. Jeżeli nazwą pliku jest myślnik (-), to tekst jest pobierany ze standardowego wejścia.

-n volume-name
    Ustawia nazwę wolumenu (etykietę - label) systemu plików. Nazwa wolumenu może mieć długość do 11 znaków. Domyślnie brak etykiety.

-r root-dir-entries
    Określa liczbę pozycji dostępnych w głównym katalogu. Domyślnie jest to 112 lub 224 dla dyskietek oraz 512 dla dysków twardych.

-s sectors-per-cluster
    Określa liczbę sektorów dysku przypadających na jeden cluster. Musi być potęgą 2, tj. 1, 2, 4, 8, ... 128.

-v  Wykonywanie gadatliwe.

BŁĘDY
Na razie nie są znane. Jeśli jakieś znajdziesz, proszę zgłoś je [w jęz.angielskim] na adres <chaffee@bmrc.berkeley.edu>. Dołącz, proszę, numer wersji (0.4).

AUTOR
Dave Hudson <dave@humbug.demon.co.uk>; modyfikacje: Peter Anvin <hpa@yggdrasil.com>; obsługę FAT32 dodał Gordon Chaffee <chaffee@bmrc.berkeley.edu>.

PODZIĘKOWANIA
mkdosfs oparty jest o kod z mke2fs (napisany przez: Remy Card - <card@masi.ibp.fr>), który z kolei oparto o mkfs (napisany przez: Linus Torvalds - <torvalds@cs.helsinki.fi>).

ZOBACZ TAKŻE
dosfsck(8), mkfs(8).

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 mkdosfs

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.